.full-container-content.content-center {
  -ms-flex-line-pack: center;
      align-content: center;
}

.form .form-row input[type="text"] ~ input[type="text"],
.form .form-row input[type="text"] ~ input[type="password"],
.form .form-row input[type="password"] ~ input[type="text"],
.form .form-row input[type="password"] ~ input[type="password"] {
  margin-top: 1rem;
}

.button.full {
  width: 100%;
  min-height: 6rem;
  -webkit-box-flex: 1;
      -ms-flex: auto;
          flex: auto;
}

.login-background {
  background-size: cover;
  background: url(../images/login_bg.png) no-repeat center;
}

.login-item-group {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  gap: 1rem;
  margin-top: 2rem;
}

.login-item-group .switch {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}

.login-item-group .switch input[type="checkbox"]:checked ~ .text {
  color: var(--text-color);
}

.login-item-group .switch .text {
  font-size: 1.5rem;
  width: auto;
  height: auto;
  background-color: transparent !important;
  margin-left: .4rem;
  border-radius: 0;
  color: var(--text-color-light-gray);
  -webkit-transition: color .2s;
  transition: color .2s;
}

.login-item-group .switch .text::before {
  display: none;
}

.login-item-group .button-group {
  margin-left: auto;
}

.login-item-group .button-group a {
  font-size: 1.5rem;
  color: var(--text-color-light-gray);
  position: relative;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  gap: .8rem;
}

.login-item-group .button-group a::after {
  content: "";
  display: block;
  width: .4rem;
  height: .4rem;
  background-color: var(--text-color-light-gray);
  border-radius: 50%;
  pointer-events: none;
}

.login-item-group .button-group a:last-child::after {
  display: none;
}

.login-item-group .button-group a:hover {
  color: var(--text-color);
}

.table {
  width: 100%;
  position: relative;
  overflow-x: auto;
  border-top: 0.3rem solid var(--color-primary);
  border-radius: .4rem;
}

.table::-webkit-scrollbar {
  width: 8px;
  height: 8px;
}

.table::-webkit-scrollbar-track {
  border-radius: 12px;
  background-color: #78788030;
}

.table::-webkit-scrollbar-thumb {
  border-radius: 12px;
  background: #78788030;
}

.table::-webkit-scrollbar-thumb:hover {
  background: #78788050;
}

.table::-webkit-scrollbar-thumb:active {
  background: #78788070;
}

.table::-webkit-scrollbar-button {
  display: none;
}

.table table {
  width: 100%;
  font-size: 1.6rem;
  border-collapse: collapse;
}

.table table thead {
  color: var(--text-color-dark-gray);
  background-color: rgba(69, 122, 236, 0.075);
}

.table table thead tr:first-child th:first-child {
  border-radius: .4rem 0 0 0;
}

.table table thead tr:first-child th:last-child {
  border-radius: 0 .4rem 0 0;
}

.table table tbody tr:last-child td:first-child {
  border-radius: 0 0 0 .4rem;
}

.table table tbody tr:last-child td:last-child {
  border-radius: 0 0 .4rem 0;
}

.table table th {
  font-weight: 400;
}

.table table th,
.table table td {
  border: 0.1rem solid var(--border-color);
  padding: 1.6rem 1.2rem;
}

.table table .nodata {
  padding: 0;
}

.table table .nodata .msg {
  min-height: 10rem;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  text-align: center;
  color: var(--text-color-light-gray);
  border-radius: 0 0 .4rem .4rem;
}

.table table .button-group {
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
}

.narrowtable th,
.narrowtable td {
  padding: 1.0rem !important;
}

.infohead {
  color: var(--text-color-dark-gray);
  background-color: rgba(69, 122, 236, 0.075);
}

.text-right {
  text-align:right !important;
}

.smalltable table th,
.smalltable table td {
  padding: 0.8rem !important;
}

.narrowtable th {
  color: var(--text-light-color);
  font-weight: 700;
  background-color: var(--thead-background-color);
  -webkit-transition: background-color var(--speed);
  transition: background-color var(--speed);
}

.header-center table th {
  text-align: center !important;
}

.pagination {
  gap: .8rem;
  margin-top: 2rem;
}

.pagination button {
  padding: 0 1rem;
  white-space: nowrap;
}

.pagination button:hover {
  color: var(--color-primary);
  border-color: var(--color-primary);
}

.pagination button:active {
  color: var(--text-color-white);
  background-color: var(--color-primary);
  border-color: transparent;
}

.pagination > button {
  width: auto;
  min-height: 3.6rem;
  background-image: none;
  font-size: 1.2rem;
  border: 1px solid var(--border-color);
  color: var(--text-color-light-gray);
  border-radius: .4rem;
}

.pagination > div {
  gap: .8rem;
}

.pagination > div > button {
  border-radius: .4rem;
}

.modal-content-inner ~ .button-group {
  margin-top: 2rem;
}

.select .option button {
  min-height: 5.6rem;
}

.icon.i-i {
  background-image: none;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
}

.icon.i-i i {
  font-size: 1.6rem;
  color: #909090;
}

.dropdown {
  position: relative;
  min-width:30rem;
  text-align:right;
}

.dropdown-menu {
  max-width: 100%;
  min-width: -webkit-fit-content;
  min-width: -moz-fit-content;
  min-width: fit-content;
  position: absolute;
  top: 3.4rem;
  right: 0;
  background-color: #fff;
  -webkit-box-shadow: 0 0.2rem 1rem rgba(0, 0, 0, 0.1);
          box-shadow: 0 0.2rem 1rem rgba(0, 0, 0, 0.1);
  z-index: 10;
  padding: 1rem;
  border-radius: .4rem;
  opacity: 0;
  pointer-events: none;
  -webkit-transform: translateY(-1rem);
          transform: translateY(-1rem);
  -webkit-transition: opacity .2s, -webkit-transform .2s;
  transition: opacity .2s, -webkit-transform .2s;
  transition: opacity .2s, transform .2s;
  transition: opacity .2s, transform .2s, -webkit-transform .2s;
}

.dropdown-menu.active {
  pointer-events: auto;
  -webkit-transform: translateY(0);
          transform: translateY(0);
  opacity: 1;
}
